deductionguidesforstd::valarray(3)

NAME
deductionguidesforstd::valarray - deductionguidesforstd::valarray

Synopsis
   Defined in header <valarray>
   template<typename T, std::size_t cnt> (since C++17)
   valarray(const T(&)[cnt], std::size_t) -> valarray<T>;
   This deduction guide is provided for std::valarray to allow deduction from array and
   size (note that deduction from pointer and size is covered by the implicit guides)

Example
// Run this code
 #include <valarray>
 #include <iostream>
 int main()
 {
     int a[] = {1, 2, 3, 4};
     std::valarray va(a, 3); // uses explicit deduction guide
     for (int x : va)
         std::cout << x << ' ';
 }

Output:
 1 2 3